| OpenCV 3.4.7 Open Source Computer Vision

Functions
Query I/O API backends registry
Video I/O

## Functions
cv::String | cv::videoio_registry::getBackendName (VideoCaptureAPIs api)
| Returns backend API name or "unknown". More...
std::vector< VideoCaptureAPIs > | cv::videoio_registry::getBackends ()
| Returns list of all builtin backends. More...
std::vector< VideoCaptureAPIs > | cv::videoio_registry::getCameraBackends ()
| Returns list of available backends which works via `cv::VideoCapture(int index)` More...
std::vector< VideoCaptureAPIs > | cv::videoio_registry::getStreamBackends ()
| Returns list of available backends which works via `cv::VideoCapture(filename)` More...
std::vector< VideoCaptureAPIs > | cv::videoio_registry::getWriterBackends ()
| Returns list of available backends which works via `cv::VideoWriter()` More...

## Detailed Description

This section contains API description how to query/configure available Video I/O backends.

Runtime configuration options:

- enable debug mode: `OPENCV_VIDEOIO_DEBUG=1`
- change backend priority: `OPENCV_VIDEOIO_PRIORITY_<backend>=9999`
- disable backend: `OPENCV_VIDEOIO_PRIORITY_<backend>=0`
- specify list of backends with high priority (>100000): `OPENCV_VIDEOIO_PRIORITY_LIST=FFMPEG,GSTREAMER`

## Function Documentation

## § getBackendName()

cv::String cv::videoio_registry::getBackendName | ( | VideoCaptureAPIs | api | ) |

Python:
| retval | = | cv.videoio_registry.getBackendName( | api | )

`#include <opencv2/videoio/registry.hpp>`

Returns backend API name or "unknown".

Parameters

  api | backend ID (VideoCaptureAPIs)

## § getBackends()

std::vector<VideoCaptureAPIs> cv::videoio_registry::getBackends | ( |  | ) |

Python:
| retval | = | cv.videoio_registry.getBackends( |  | )

`#include <opencv2/videoio/registry.hpp>`

Returns list of all builtin backends.

## § getCameraBackends()

std::vector<VideoCaptureAPIs> cv::videoio_registry::getCameraBackends | ( |  | ) |

Python:
| retval | = | cv.videoio_registry.getCameraBackends( |  | )

`#include <opencv2/videoio/registry.hpp>`

Returns list of available backends which works via `cv::VideoCapture(int index)`

## § getStreamBackends()

std::vector<VideoCaptureAPIs> cv::videoio_registry::getStreamBackends | ( |  | ) |

Python:
| retval | = | cv.videoio_registry.getStreamBackends( |  | )

`#include <opencv2/videoio/registry.hpp>`

Returns list of available backends which works via `cv::VideoCapture(filename)`

## § getWriterBackends()

std::vector<VideoCaptureAPIs> cv::videoio_registry::getWriterBackends | ( |  | ) |

Python:
| retval | = | cv.videoio_registry.getWriterBackends( |  | )

`#include <opencv2/videoio/registry.hpp>`

Returns list of available backends which works via `cv::VideoWriter()`